# QMouseEventTransition Class Reference

### [com.trolltech.qt.gui package]

Inherits QEventTransition.

### Constructor

- void QMouseEventTransition(QObject object, Type type, MouseButton button, QState sourceState)
- void QMouseEventTransition(QState sourceState)

### Constructor Properties

- prototype: The QMouseEventTransition prototype object

### Prototype Object Properties

The QMouseEventTransition prototype object inherits properties from the QEventTransition prototype object and also has the following properties.

- QPainterPath hitTestPath()
- void setHitTestPath(QPainterPath path)

### Instance Properties

QMouseEventTransition objects inherit properties from the QMouseEventTransition prototype object and also have the following properties.

- button
- modifierMask